Bug 18801 - Merging authorities has an invalid 'Default' type in the merge framework selector
Summary: Merging authorities has an invalid 'Default' type in the merge framework sele...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17380
  Show dependency treegraph
 
Reported: 2017-06-14 13:18 UTC by Nick Clemens
Modified: 2017-11-23 23:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18801 - Merging authorities has an invalid 'Default' type in the merge framework selector (1.61 KB, patch)
2017-06-14 13:23 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18801 - Merging authorities has an invalid 'Default' type in the merge framework selector (1.71 KB, patch)
2017-06-15 10:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18801: [Follow-up] Dbrev to repair bad auth type codes (1.38 KB, patch)
2017-06-15 13:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-06-14 13:18:44 UTC
When merging two authorities and deciding the framework to sue the default is a 'Default' with value 'Default'

The issue is that the Default framework actually has code '' - this is picked up in the generated list so we can just remove the line (if this is unclear the patch should be clear)
Comment 1 Nick Clemens 2017-06-14 13:23:07 UTC
Created attachment 64282 [details] [review]
Bug 18801 - Merging authorities has an invalid 'Default' type in the merge framework selector

To test:
1 - Find two authorities and start a merge
2 - Leave the dropdown at 'Default'
3 - Merge records and note you get an error and can no longer view the
new record
4 - Check DB value of record authtypecode = 'Default'
5 - Apply patch
6 - Find two other authorities
7 - Merge leaving selector at default
8 - Success
9 - Check DB value of record authtypecode = ''
Comment 2 Marcel de Rooy 2017-06-14 13:48:15 UTC
Please have a look at bug 17380. It was still pending on my list.
Comment 3 Marcel de Rooy 2017-06-15 10:45:21 UTC
Created attachment 64303 [details] [review]
Bug 18801 - Merging authorities has an invalid 'Default' type in the merge framework selector

To test:
1 - Find two authorities and start a merge
2 - Leave the dropdown at 'Default'
3 - Merge records and note you get an error and can no longer view the
new record
4 - Check DB value of record authtypecode = 'Default'
5 - Apply patch
6 - Find two other authorities
7 - Merge leaving selector at default
8 - Success
9 - Check DB value of record authtypecode = ''

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-06-15 13:50:22 UTC
Created attachment 64325 [details] [review]
Bug 18801: [Follow-up] Dbrev to repair bad auth type codes

Test plan
Run updatedatabase.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2017-06-22 10:37:01 UTC
Taking the liberty to move this trivial patch to PQA
Comment 6 Jonathan Druart 2017-07-06 17:26:57 UTC
DBRev would have been better with
  SELECT COUNT(*) FROM auth_types WHERE authtypecode = "Default"
But not blocker.
Comment 7 Jonathan Druart 2017-07-06 18:51:31 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Marcel de Rooy 2017-07-07 06:06:01 UTC
(In reply to Jonathan Druart from comment #6)
> DBRev would have been better with
>   SELECT COUNT(*) FROM auth_types WHERE authtypecode = "Default"
> But not blocker.

Yes indeed.
Comment 9 Fridolin SOMERS 2017-07-12 07:22:29 UTC
Waiting for Bug 17380 to integrate in stable branch
Comment 10 Fridolin SOMERS 2017-10-23 13:51:37 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 11 Katrin Fischer 2017-10-29 17:43:33 UTC
These patches have been pushed to 16.11.x and will be in 16.11.14.
Comment 12 Mason James 2017-11-23 23:20:12 UTC
Pushed to 16.05.x, for 16.05.19 release